/*
Author: Christina DePuydt
Date: 11/01/21
File Name: styles.css
*/

/*CSS Reset*/
body, header, nav, main, footer, h1, div, img, ul, figure, figurecaption, section, article, aside {
	margin:0;
	padding: 0;
	border: 0;
}

/*Style rules for body and images*/
body {
	background-color: #E0FFFB;
}

img {
	max-width: 100%;
	display: block;
}

/* Style rule for box sizing applies to all elements */
*{
	box-sizing: border-box;
}

/*Style rules for mobile viewport*/

/*Style rule for header*/
header {
	top: 0;
	background-color: #E0FFFB;
	height:225px;
}

header img {
	margin: 1em auto;
}

/*Style rules for navigation area*/
nav {
	padding: 1%;
	margin-top: 5%;
	margin-bottom: 0;
}

nav ul {
	list-style-type: none;
	text-align: center;
}

nav li {
	font-size: 1.5em;
	font-family:'Francois One', sans-serif;
	border-top: 7px solid #fff;
}

nav li:first-child {
	border-top: none;
}

nav li a {
	display: block;
	color: #000;
	padding: 0.5em 1em;
	text-decoration: none;
}

/*Show mobile class, hide tablet-desktop class*/
.mobile {
	display: block;
}

.tablet-desktop {
	display: none;
}

/*Style rules for main content*/
main {
	background-color: #fff;
	padding: 2%;
	font-size: 1.15em;
	font-family: 'Roboto Slab', serif;
	text-align: center;
}

.mobile h3 {
	text-shadow: 5px 5px 8px #ccc;
	text-align: center;
}

article {
	padding: 2%;
}

article h3{
	text-align: center;
}

article img {
	margin: 0 auto;
}

article ul {
	margin-left: 10%;
}

article:nth-of-type(2) {
	background-color: rgba(204, 204, 204, 0.3);
}

.tel-link {
	background-color: #404040;
	padding: 2%;
	margin: 0 auto;
	width: 80%;
	text-align: center;
	border-radius: 5px;
}

.tel-link a {
	color: #fff;
	text-decoration: none;
	font-size: 1.5em;
	display: block;
}

.hours {
	margin-left: 10%;
}

.action {
	font-size: 1.35em;
	color: #666600;
	font-weight: bold;
	text-shadow: 5px 5px 8px #ccc;
}

.frame {
	position: relative;
	max-width: 450px;
	margin: 2% auto;
	vertical-align: -webkit-baseline-middle;
}

.pic-text{
	position: absolute;
	bottom: 0;
	background: rgba(0, 0, 0, 0.5);
	color: #fff;
	width: 100%;
	padding: 20px;
	text-align: center;
	font-family: Verdana, Arial, sans-serif;
	font-size: 1.5em;
	font-weight: bold;
}

.round {
	border-radius: 8px;
}

.external-link {
	color: #666600;
	font-weight: bold;
	text-decoration: none;
}

#contact {
	text-align: center;
}

#contact .contact-email-link {
	color:#666600;
	text-decoration: none;
}

.map {
	border: 2px solid #000;
	width: 95%;
	height: 50%;
}

/*Style rules for footer content*/
footer p {
	font-size: 0.75em;
	text-align: center;
	color: #000;
	padding: 0 1em;
}

footer p a {
	color: #000;
	text-decoration: none;
}

/* Media Query for Tablet Viewport */
@media screen and (min-width:709px), print{
	
	/*Tablet Viewport: Show tablet-desktop class, hide mobile class*/
	.tablet-desktop {
		display: block;
	}
	
	.mobile {
		display: none;
	}
	
	/*Tablet Viewport: Style rule for header*/
	header {
		padding-bottom: 1em;
	}
	
	/*Tablet Viewport: Style rules for nav area*/
	nav {
	padding: 7% 2% 3% 2%;
	margin-bottom: 1%;
}
	
	nav li {
		border-top: none;
		display: inline-block;
		border-right: 2px solid #000;
	}
	
	nav li:last-child {
		border-right: none;
	}
	
	nav li a {
		padding: 0.1em 0.75em;
	}
	
	/*Tablet Viewport: Style rules for main content area*/
	main ul {
		margin: 10% 10% 4% 10%;
	}
	
	.grid {
		display: grid;
		grid-template-columns:auto auto auto;
		grid-gap: 20px;
	}
	
	.pic-text{
		font-size: 1em;
		padding: 10px;
	}
	
	/*#exercises {
	border-top: 1px solid #000;
	border-bottom: 1px solid #000;
	background: linear-gradient(to right, #ccc, #fff);
	background-color: #f2f2f2;
	padding: 1% 2%;
	}

	#exercises dt {
		font-weight: bold;
	}

	#exercises dd {
		padding: 0.5% 1% 2% 0;
	}
	
	.tel-num {
		font-size:1.25em;
	}
	
	.map {
		width: 600px;
		height: 450px;
	}*/

	.disclaimer{

		}
}

/*Media Query for Desktop Viewport*/
@media screen and (min-width: 1030px), print {
		
/*Desktop Viewport: Style rule for header*/
	header {
		width: 15%;
		float: left;
		padding-top: 0%;
		margin: 0em 1em;
	}

	header img {
		margin-top: 2em;
		}
	
	/*Desktop Viewport: Style rules for nav area*/
	
	nav {
		width: 80%;
		margin: 0 auto 0.5em;
		float: right;
	}
	
	nav ul {
		text-align: center;
	}
	
	nav li {
		border-top: none;
		border-right: 2px solid #000;
	}
	
	nav li a {
		padding: 0em 2em;
	}
	
	nav li a:hover {
		color: #000;
		background-color: #f0fffd;
	}

/*Desktop Viewport: Style Rules for main content*/
main {
	clear: left;
	display: block;
}

main h1 {
	font-size: 1.8em;
}

main h3 {
	text-align: center;
}

img {
	max-width: 100%;
}

/*article h3 {
	font-size:1.75em;
}
	
	.pic-text {
		font-size: 1.5em;
		padding: 20px;
	}
	
	.frame {
		opacity: 0.9;
	}
	
	.frame:hover {
		opacity: 1;
		box-shadow: 8px 8px 10px #808080;
	}*/


/*Media Query for Large Desktop Viewports*/
@media screen and (min-width: 1921px) {
	
	#container {
		width: 1920px;
		margin: 0 auto;
	}

	img {
	max-width: 100%;
	justify-items: center;
	}

}

/*Media Query for Print*/
@media print {
	
	body {
		background-color: #fff;
		color: #000
	}
	
}